# $Revision: 1.81.2.2 $, $Date: 2003/07/30 10:08:02 $
Summary:	Manual page reader
Summary(de):	Manual-Page-Reader
Summary(es):	Lector de pginas de manual (man)
Summary(fr):	Lecteur de pages de man
Summary(ko):	    : , apropos ׸ whatis
Summary(pl):	Czytnik stron man
Summary(pt_BR):	Leitor de pginas de manuais (man)
Summary(tr):	Klavuz sayfas okuyucusu
Summary(ru):	   : man, apropos  whatis
Summary(uk):	¦ ̦  æ: man, apropos  whatis
Name:		man
Version:	1.5l
Release:	5
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.win.tue.nl/pub/linux-local/utils/man/%{name}-%{version}.tar.gz
# Source0-md5:	07fa5ab41c39afcd59cdef5139ef563b
Source1:	makewhatis.crondaily
Source2:	makewhatis.cronweekly
Source3:	%{name}-additional-%{name}-pages.tar.bz2
# Source3-md5:	16c3fde2243289524cf40c1d2e7150e4
Patch0:		%{name}-manpaths.patch
Patch1:		%{name}-PLD.patch
Patch2:		%{name}-gencat_glibc.patch
Patch3:		%{name}-man2html.patch
Patch4:		%{name}-fhs.patch
Patch5:		%{name}-makewhatis.patch
Patch6:		%{name}-safer.patch
Patch7:		%{name}-security.patch
Patch8:		%{name}-locales.patch
Patch9:		%{name}-roff.patch
Patch10:	%{name}-sofix.patch
Patch11:	%{name}-ro-usr.patch
Patch12:	%{name}-lookon.patch
Patch13:	%{name}-bug11621.patch
Patch14:	%{name}-gencat.patch
Patch15:	%{name}-nls-priority.patch
Patch16:	%{name}-pl_%{name}_pages.patch
Patch17:	%{name}-pmake.patch
Patch18:	%{name}-segv.patch
Patch19:	%{name}-fmntbug.patch
BuildRequires:	less
Requires(post,preun):	fileutils
Requires:	%{name}-config = %{version}
Requires:	/bin/awk
Requires:	groff
Requires:	gzip
Requires:	less
Requires:	mktemp >= 1.5-8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	man-cs
Obsoletes:	man-da
Obsoletes:	man-de
Obsoletes:	man-es
Obsoletes:	man-fr
Obsoletes:	man-it
Obsoletes:	man-nl
Obsoletes:	man-pl
Obsoletes:	man-pt
Obsoletes:	man-sl

%define		_htmldir	/home

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos and whatis. The
man system formats and displays on-line manual pages about commands or
functions on your system. Apropos searches the whatis database
(containing short descriptions of system commands) for a string.
Whatis searches its own database for a complete word.

%description -l de
Die man-Seiten-Suite, einschlielich Handbuch, Apropos und Whatis.
Diese Programme dienen zum Einsehen des Groteils der Dokumentation,
die auf einem Linux-System verfgbar ist. Die Whatis- und
Apropos-Programme dienen dazu, Beschreibungen zu bestimmten Themen zu
finden.

%description -l es
Es un conjunto de pginas de manual, incluyendo man, apropos y whatis.
Estos programas se usan para leer la mayora de la documentacin
disponible en el sistema Linux. Los programas whatis y apropos pueden
ser usados para encontrar documentacin relacionada con un asunto
particular.

%description -l fr
Ensemble des pages man. Contient man, apropos et whatis. Ces
programmes servent  lire la plupart de la documentation disponible
sur un systme Linux. Les programmes whatis et apropos servent 
trouver la documentation relative  un sujet prcis.

%description -l pl
Pakiet man zawiera man, apropos i whatis. Te programy s uywane do
czytania wikszoci dokumentacji dostpnej w systemie Linux. Programy
whatis i apropos mog by uyte do znalezienia dokumentacji na tematy
powizane z poszukiwanym.

%description -l pt_BR
 um conjunto de pginas de manual, incluindo man, apropos e whatis.
Estes programas so usados para ler a maioria da documentao
disponvel no sistema Linux. Os programas whatis e apropos podem ser
usados para achar documentao relacionada com um assunto particular.

%description -l tr
Klavuz sayfa takm: man, apropos, whatis. Bu programlar Linux
sisteminde bulunan birok belgenin okunmasnda kullanylyr. whatis ve
apropos programlar zel bir konu ile alakal belgeleri bulmak iin
kullanlabilir.

%description -l ru
 man       /
   : man, apropos  whatis.  man
        
  . Apropos      
whatis (    ). Whatis  
    .

%description -l uk
 man ͦ  ̦   æ /
æ   : man, apropos  whatis.  man
դ  դ צ Ҧ     æ
ϧ . Apropos     ڦ  whatis (
ͦ ˦   ). Whatis   ϧ ڦ
˦Φ .

%package config
Summary:	Manual page reader configuration
Summary(pl):	Konfiguracja czytnikw podrcznikw
Group:		Applications/System

%description config
Configuration file for different manual page browsers

%description config -l pl
Plik konfiguracyjny dla rnych czytnikw podrcznikw

%package -n man2html
Summary:	manroff to html converter
Summary(pl):	Konwerter formatu manroff na html
Group:		Applications/System
Requires:	%{name} = %{version}

%description -n man2html
This program can convert man pages stored in manroff format to html

%description -n man2html -l pl
Program man2html suy do konwersji plikw manuala zapisanych w
formacie manroff na format html.

%package -n man2html-cgi
Summary:	CGI interface to man2html
Summary(pl):	Interfejs CGI dla man2html
Group:		Applications/System
Requires:	man2html = %{version}

%description -n man2html-cgi
These scripts allows read man pages throught www browser. It uses
man2htlm program to convert man pages to html format. Scripts are
still in alpha stage, could be not secure.

%description -n man2html-cgi -l pl
Skrypty znajdujce si w pakiecie pozwalaj czyta strony man przy
pomocy przegldarki WWW. Skrtpty wykorzystuj program man2html do
konwesji stron man na html. Programy s cigle w stadium alfa i mog
nie by bezpieczne.

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
./configure -default +fhs +lang all -confdir %{_sysconfdir}

%{__make} CC="%{__cc} %{rpmcflags}" LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/cron.{daily,weekly},%{_bindir},%{_mandir},%{_sbindir},%{_htmldir}} \
	$RPM_BUILD_ROOT%{_mandir}/{hu,ja,ko}/man{1,5,8}

echo '%defattr(644,root,root,755)' > man.lang
for i in "" bg cs da de es fi fr hr hu id it ja ko nl pl pt pt_BR ro ru sl sv zh_CN zh_TW; do
	if [ "$i" ]; then
		lng="%lang($i) "
		i="/$i"
	else
		lng=""
	fi
	for cdir in "" /local /X11R6 ; do
		install -d $RPM_BUILD_ROOT/var/cache/man${cdir}$i/cat{1,2,3,4,5,6,7,8,9,n}
		echo "${lng}%dir /var/cache/man${cdir}$i" >> man.lang
		echo "${lng}%attr(775,root, man) /var/cache/man${cdir}$i/cat[1-9n]" >> man.lang
	done
done

%{__make} install \
	PREFIX="$RPM_BUILD_ROOT"

%{__make} -C man2html install-scripts \
	PREFIX="$RPM_BUILD_ROOT"

# for man_db and xman compatibility
ln -sf soelim $RPM_BUILD_ROOT%{_bindir}/zsoelim

install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/makewhatis
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis

touch $RPM_BUILD_ROOT/var/cache/man/whatis

install man/hu/man1/* $RPM_BUILD_ROOT%{_mandir}/hu/man1
install man/ja/man1/{hman,man2html}.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1
install man/ja/man8/makewhatis.8 $RPM_BUILD_ROOT%{_mandir}/ja/man8
install man/pl/man1/man2html.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1
install man/ro/man2html.man $RPM_BUILD_ROOT%{_mandir}/ro/man1/man2html.1

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11R6/cat[123456789n]/*
rm -f /var/cache/man/??/cat[123456789n]/*
rm -f /var/cache/man/??_??/cat[123456789n]/*
rm -f /var/cache/man/local/??/cat[123456789n]/*
rm -f /var/cache/man/local/??_??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??_??/cat[123456789n]/*

%post
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11/cat[123456789n]/*
rm -f /var/cache/man/??/cat[123456789n]/*
rm -f /var/cache/man/??_??/cat[123456789n]/*
rm -f /var/cache/man/local/??/cat[123456789n]/*
rm -f /var/cache/man/local/??_??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??/cat[123456789n]/*
rm -f /var/cache/man/X11R6/??_??/cat[123456789n]/*

%files -f man.lang
%defattr(644,root,root,755)
%doc HISTORY README TODO
%attr(750,root,root) %config(noreplace) %verify(not size mtime md5) /etc/cron.weekly/makewhatis
%attr(750,root,root) %config(noreplace) %verify(not size mtime md5) /etc/cron.daily/makewhatis

%attr(2755,root,man) %{_bindir}/man

%attr(755,root,root) %{_bindir}/man2dvi
%attr(755,root,root) %{_bindir}/apropos
%attr(755,root,root) %{_bindir}/whatis
%attr(755,root,root) %{_bindir}/zsoelim
%attr(755,root,root) %{_sbindir}/makewhatis

%config(noreplace,missingok) %verify(not md5 mtime size) /var/cache/man/whatis

# Supported languages bg cs da de en es fi fr hr it ja nl pl pt ro sl  + hu

%{_mandir}/man1/apropos.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/whatis.1*
%{_mandir}/man[58]/*

%lang(bg) %{_mandir}/bg/man[15]/*
%lang(cs) %{_mandir}/cs/man[158]/*
%lang(da) %{_mandir}/da/man[158]/*
%lang(de) %{_mandir}/de/man[158]/*
%lang(es) %{_mandir}/es/man[158]/*
%lang(fi) %{_mandir}/fi/man[158]/*
%lang(fr) %{_mandir}/fr/man[158]/*
%lang(hr) %{_mandir}/hr/man[158]/*
%lang(hu) %{_mandir}/hu/man[158]/*
%lang(it) %{_mandir}/it/man[158]/*
%lang(ja) %{_mandir}/ja/man1/apropos.1*
%lang(ja) %{_mandir}/ja/man1/man.1*
%lang(ja) %{_mandir}/ja/man1/whatis.1*
%lang(ja) %{_mandir}/ja/man[58]/*
%lang(ko) %{_mandir}/ko/man[158]/*
%lang(nl) %{_mandir}/nl/man[158]/*
%lang(pl) %{_mandir}/pl/man1/apropos.1*
%lang(pl) %{_mandir}/pl/man1/man.1*
%lang(pl) %{_mandir}/pl/man1/whatis.1*
%lang(pl) %{_mandir}/pl/man[58]/*
%lang(pt) %{_mandir}/pt/man[158]/*
%lang(ro) %{_mandir}/ro/man1/apropos.1*
%lang(ro) %{_mandir}/ro/man1/man.1*
%lang(ro) %{_mandir}/ro/man1/whatis.1*
%lang(ro) %{_mandir}/ro/man[58]/*
%lang(sl) %{_mandir}/sl/man[158]/*

%{_datadir}/locale/en/man
%lang(bg) %{_datadir}/locale/bg/man
%lang(cs) %{_datadir}/locale/cs/man
%lang(da) %{_datadir}/locale/da/man
%lang(de) %{_datadir}/locale/de/man
%lang(es) %{_datadir}/locale/es/man
%lang(fi) %{_datadir}/locale/fi/man
%lang(fr) %{_datadir}/locale/fr/man
%lang(hr) %{_datadir}/locale/hr/man
%lang(it) %{_datadir}/locale/it/man
%lang(ja) %{_datadir}/locale/ja/man
%lang(ko) %{_datadir}/locale/ko/man
%lang(nl) %{_datadir}/locale/nl/man
%lang(pl) %{_datadir}/locale/pl/man
%lang(pt) %{_datadir}/locale/pt/man
%lang(ro) %{_datadir}/locale/ro/man
%lang(ru) %{_datadir}/locale/ru/man
%lang(sl) %{_datadir}/locale/sl/man

%files config
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/man.config

%files -n man2html
%defattr(644,root,root,755)
%doc {man2html/README,man2html/TODO}
%attr(755,root,root) %{_bindir}/man2html
%{_mandir}/man1/man2html.1*
%lang(ja) %{_mandir}/ja/man1/man2html.1*
%lang(pl) %{_mandir}/pl/man1/man2html.1*
%lang(ro) %{_mandir}/ro/man1/man2html.1*

%files -n man2html-cgi
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hman
%attr(755,root,root) %{_htmldir}/httpd/cgi-bin/man
%{_htmldir}/httpd/cgi-aux/man
%dir %attr(775,root,http) /var/cache/man2html
/var/cache/man2html/.glimpse_filters
%{_mandir}/man1/hman.1*
%lang(ja) %{_mandir}/ja/man1/hman.1*
# seems man2html-cgi it's the only package that uses it
%dir %{_htmldir}/httpd/cgi-aux

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: man.spec,v $
Revision 1.81.2.2  2003/07/30 10:08:02  blues
- don't move to the same place

Revision 1.81.2.1  2003/07/30 10:01:41  blues
- kill /home/services in RA

Revision 1.81  2003/07/30 09:08:27  blues
- release 5 - more macros, some cleanups and simplifications

Revision 1.80  2003/07/18 10:09:11  qboosh
- release 4 (3 was for ra)

Revision 1.79  2003/06/08 14:15:39  dzimi
- rel 3
- merge security patch from HEAD added by ciril (fix buffer overflow)

Revision 1.78  2003/06/07 21:58:39  ciril
- Security fix - format string vulnerability (thanks misi3k)

Revision 1.77  2003/05/29 11:54:22  adgor
- Fixed Source3-md5

Revision 1.76  2003/05/27 10:49:08  trojan
- added Source-md5

Revision 1.75  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.74  2003/05/25 05:50:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.73  2003/03/11 22:31:37  qboosh
- switched to primary site
- localized man updates, get from Source3 only mans not found in sources
- release 2

Revision 1.72  2003/03/11 21:29:15  kloczek
- merge segv patch from RH (fix segfault when running  'man --'),
- merge translations from MIZI.

Revision 1.71  2003/03/11 21:15:21  kloczek
- updated to 1.5l,
- security fixes:
  Fixed a bug which results in arbitrary code execution upon reading
  a specially formatted man file. The basic problem is, upon finding
  a string with a quoting problem, the function my_xsprintf in util.c
  will return "unsafe" (rather than returning a string which could
  be interpreted by the shell). This return value is passed directly to
  system(3) - meaning if there is any program named `unsafe`, it will execute
  with the privs of the user.
- updated %files (more translations).

Revision 1.70  2003/03/01 10:12:41  juandon
- added pmake.patch

Revision 1.69  2003/02/25 20:48:04  radek
- added the 3p section for perl modules' documentation
- release 4

Revision 1.68  2003/01/17 13:14:05  ankry
- added obsoletes for man-* packages from Freshmeat Linux; rel. 3

Revision 1.67  2002/12/29 16:16:06  adgor
- Fixed %install (/home -> /home/services)

Revision 1.66  2002/12/14 00:28:22  ankry
- adapterized man.spec openoffice.spec wxGTK.spec

Revision 1.65  2002/12/07 15:33:07  orzech
- /home/httpd -> /home/services/httpd

Revision 1.64  2002/07/30 17:52:57  qboosh
- added ja,ru locales
- release 2

Revision 1.63  2002/07/29 22:22:20  ankry
- updated to 1.5k
- removed obsolete -msgs.patch
- added -gencat_glibc.patch to fix cat file generation on glibc
  [ glibc's gencat needs proper locale to be set before use ]
- new %%doc
- add forgotten(?) %%doc files
- release 1

Revision 1.62  2002/06/17 06:21:32  kloczek
- merge translations from KSI and Conectiva.

Revision 1.61  2002/06/15 11:49:41  ankry
- removed %%lang(en), ranamed zh_*
- release 8

Revision 1.60  2002/03/21 06:58:52  orzech
- rel 7, STBR

Revision 1.59  2002/03/12 16:01:17  orzech
- man: man-config subpackage, Req: man-config
- pinfo: Req: man-config
- XFree86: Req: man-config (for xman)

Revision 1.58  2002/03/06 00:02:55  qboosh
- FHS 2.2: /usr/local/share/man back to /usr/local/man
- release 6

Revision 1.57  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2001/11/22 06:57:16  ankry
- added zsoelim as link to soelim (it exists in man_db; xman requires it)
- release 5

Revision 1.54  2001/11/02 22:10:50  ankry
- updated pl man page for man
- added BuildRequires: less (otherwise package contents - man.conf, man.1 -\
  is dependent on the build system configuration
- release 4

Revision 1.53  2001/10/20 14:25:44  kloczek
- release 3.

Revision 1.52  2001/10/16 23:38:07  ankry
- fixed section names in Polish man-pages

Revision 1.51  2001/10/15 21:52:43  qboosh
- updated to 1.5i2, removed obsolete mansect patch, updated almost all other
- merged sec patch into security patch (changing the same fragment)
- FHS: moved /var/man2html to /var/cache/man2html, fixed owner (not nobody!)
- fixed and updated %%files, added dir for hr

Revision 1.50  2001/10/03 14:32:34  qboosh
- release 30: s/makewhatis\.cron/makewhatis/

Revision 1.49  2001/09/27 19:51:38  qboosh
- ugh, added fixes for using glibc catopen to nls-priority patch
- added fixes for many typos to locales patch
- fixed --debug
- release 29

Revision 1.48  2001/09/24 22:37:18  qboosh
- added nls-priority patch: try to use locale variables with gettext-like
  priorities (LANG < LC_MESSAGES < LC_ALL)
  Does somebody want to add (full) gettext support? :)
- release 28

Revision 1.47  2001/09/22 20:27:22  qboosh
- release 27: Prereq: fileutils (because of rm)

Revision 1.46  2001/09/14 05:28:02  ankry
- added directories for Chinese
- increased revision to 26

Revision 1.45  2001/09/13 21:03:37  ankry
- added dirs for Hungarian (hu) and Indonesian (id)

Revision 1.44  2001/05/10 12:30:08  inglod
Add Requires gzip

Revision 1.43  2001/05/02 21:51:23  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.42  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.41  2001/03/14 23:48:42  kloczek
- release 14.

Revision 1.40  2001/03/14 23:39:37  qboosh
- added dirs for bg,ja,pt_BR,ru,sv in /var/cache/man
- generate big part of %%files automagically

Revision 1.39  2001/03/13 20:11:11  misiek
fixed bug which caused pinfo to fail when working with manuals; rel 23; stb

Revision 1.38  2001/02/27 10:04:41  wiget
more %%config(noreplace)

Revision 1.37  2001/02/26 22:24:50  qboosh
- more FHS: /usr/local/man -> /usr/local/share/man
- added /var/cache/man/whatis to package
- Requires: mktemp >= 1.5-8 (makewhatis uses mktemp -d)
- release 21

Revision 1.36  2001/02/23 17:11:34  qboosh
- oops. uncommented back %%clean section

Revision 1.35  2001/02/22 19:35:29  kloczek
- release 20,
- merge bunch patches from rawhide (few is security class),
- spec adapterized.

Revision 1.34  2001/02/22 17:22:10  qboosh
- skip empty lines and comments when searching ".so file"
- don't add "(nlu+10" - GNU roff doesn't understand it
- added rest of /var/cache/man/* directories to package
- release 5

Revision 1.33  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.32  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.31  2000/12/11 16:38:51  kloczek
- release 4,
- use new rpm automation and simplificattions in %install.

Revision 1.30  2000/12/11 08:26:45  qboosh
- locales patch

Revision 1.29  2000/07/14 15:50:48  zagrodzki
- requires: /bin/awk

Revision 1.28  2000/07/14 15:47:06  zagrodzki
- release 3
- updated man-makewhatis.patch (/bin/awk)

Revision 1.27  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/29 20:39:41  kloczek
- updated to 1.5h1,
- added seurity patch (from rawhide) and removed outdated loop patch,
- spec adapterized.

Revision 1.25  2000/05/16 17:11:28  zagrodzki
Requires: less

Revision 1.24  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.22  2000/01/29 19:11:54  kloczek
- release 9,
- fixed makewhatis scriptsts (now not depends on bash),
- spec adapterized.

Revision 1.21  1999/11/15 14:46:39  siewca
dded msafer option as a default when invoking troff or groff.

Revision 1.20  1999/09/25 16:14:37  kloczek
- added missing %patch6.

Revision 1.19  1999/09/25 16:12:09  kloczek
- release 7,
- new fhs patch,
- added loop patch from rawhide (fixed man2html loop on terminfo.5),
- new makewhatis dayly and weekly scripts (also from rawhide).

Revision 1.18  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May  7 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.5g-2]
- FHS 2.0 compilant changes.

* Wed Apr 28 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.5g-1]
- upgraded to 1.5g
- rewrited man-man2html.patch
- replacement in files
- gzipped man pages and docs

* Sun Dec 20 1998 Marek Obuchowicz <elephant@shadow.eu.org>
  [1.5f-2d]
- fixed permissions
- little spec modifications

* Thu Sep 17 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.5f-1d]
- updated to 1.5f
  (based on Konrad Stpie <konrad@interdata.com.pl> spec file),
- fixed pl translation.

* Mon Sep 14 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.5d-5d]
- build against GNU libc-2.1,
- restricted files permissions,
- macro %%{name} in all Sources,
- macro %%config %%verify(not size mtime md5) for /etc/man.config.

* Sat Aug 26 1998 Konrad Stepien <konrad@interdata.com.pl>
  [1.5d-5]
- Reconfig to include international locales and man pages,
- Removed -D_GNU_SOURCE flag,
- Fix %install, to not install man2html
- "install -d" instead "mkdir -p" in %install,
- few simplification in %install,
- added pl translation,
- start at RH spec.
